com.dlsc.flexgantt.model.eventline

## Enum EventlineSelectionModelEvent.ID

- java.lang.Object
- - java.lang.Enum<EventlineSelectionModelEvent.ID>
  - - com.dlsc.flexgantt.model.eventline.EventlineSelectionModelEvent.ID

- All Implemented Interfaces:
    Serializable, Comparable<EventlineSelectionModelEvent.ID>
  Enclosing class:
    EventlineSelectionModelEvent

      public static enum EventlineSelectionModelEvent.ID
      extends Enum<EventlineSelectionModelEvent.ID>

  An enumeration of possible events that can occure inside the selection model.
  Since:
    1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EVENTLINE_OBJECTS_ADDED` Value used to indicate that eventline objects have been added to the selection model.
    `EVENTLINE_OBJECTS_REMOVED` Value used to indicate that eventline objects have been removed from the selection model.
    `SELECTION_CLEARED` Value used to indicate that the entire selection has been cleared.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventlineSelectionModelEvent.ID` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EventlineSelectionModelEvent.ID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EVENTLINE_OBJECTS_ADDED

          public static final EventlineSelectionModelEvent.ID EVENTLINE_OBJECTS_ADDED

      Value used to indicate that eventline objects have been added to the selection model.
      Since:
        1.0

    - #### EVENTLINE_OBJECTS_REMOVED

          public static final EventlineSelectionModelEvent.ID EVENTLINE_OBJECTS_REMOVED

      Value used to indicate that eventline objects have been removed from the selection model.
      Since:
        1.0

    - #### SELECTION_CLEARED

          public static final EventlineSelectionModelEvent.ID SELECTION_CLEARED

      Value used to indicate that the entire selection has been cleared.
      Since:
        1.0

  - ### Method Detail

    - #### values

          public static EventlineSelectionModelEvent.ID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EventlineSelectionModelEvent.ID c : EventlineSelectionModelEvent.ID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EventlineSelectionModelEvent.ID valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.